﻿using System;
using System.Collections.ObjectModel;
using System.Threading.Tasks;
using Microsoft.Phone.Controls;

namespace ImageItems
{
    public partial class MainPage : PhoneApplicationPage
    {
        private Random rand = new Random();

        public MainPage()
        {
            this.InitializeComponent();
        }

        private async void Button_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            var paths = await this.GetData();

            this.Dispatcher.BeginInvoke(new Action(() =>
            {
                this.boundThumbGrid.ItemsSource = paths;
            }));
        }
    
        private async Task<ObservableCollection<string>> GetData()
        {
            await Task.Delay(1000);
            var data = new ObservableCollection<string>();
            for (int i = 1; i <= 10; i++)
            {
                data.Add(string.Format("/image{0}.png", this.rand.Next(1, 4)));
            }

            return data;                
        }
    }
}